Bug 593199 - nxagent crashes when xeyes executed on nx
nxagent crashes when xeyes executed on nx
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nx (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-18 03:01 EDT by Akihiro Nomura
Modified: 2012-06-07 19:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-07 19:02:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Akihiro Nomura 2010-05-18 03:01:00 EDT
Description of problem:
When xeyes is executed on nx, nxagent crashes and nx session dies.

Version-Release number of selected component (if applicable):
nx-3.3.0-38.fc12.x86_64
xorg-x11-apps-7.4-10.fc12.x86_64

How reproducible:
Always

Steps to Reproduce:
1. log in to Fedora box using Nomachine's NX client for Windows
2. launch xeyes from gnome-terminal
  
Actual results:
xeyes' window appears for just a moment (<< 1sec) and nx client dies.

Expected results:
xeyes works

Additional info:
In default setting, core dump seems to be partially generated via /usr/libexec/abrt-hook-ccpp and gdb claimed the core was truncated.
When I got core dump without abrt-hook-ccpp using following command,
sudo sh -c "echo /dev/shm/core.%p > /proc/sys/kernel/core_pattern"
core of /usr/libexec/nx/nxagent is generated. (attached)

When I executed xeyes via ssh X forwarding (using Xming and PuTTY), it worked well.
Comment 1 Akihiro Nomura 2010-05-18 03:08:24 EDT
Core dump of nxagent was too huge to attach.
I put output of gdb instead:

$ gdb /usr/libexec/nx/nxagent /dev/shm/core.16822
(snip, loading debug symbols)
Core was generated by `/usr/libexec/nx/nxagent -persistent -D -name NX - s_fox@XXXXXXXXX'.
Program terminated with signal 11, Segmentation fault.
#0  0x00000000004c188e in nxagentTrapezoids (op=3 '\003', pSrc=0x2cf6dd0, pDst=0x2e4d020, maskFormat=0x2b710d0, xSrc=0, ySrc=0, ntrap=16,
    traps=0x2e45570) at Render.c:1748
1748      if (nxagentDrawableStatus(pSrc -> pDrawable) == NotSynchronized)
Missing separate debuginfos, use: debuginfo-install libXcursor-1.1.10-1.fc12.x86_64 libXi-1.3-2.fc12.x86_64
(gdb) bt
#0  0x00000000004c188e in nxagentTrapezoids (op=3 '\003', pSrc=0x2cf6dd0, pDst=0x2e4d020, maskFormat=0x2b710d0, xSrc=0, ySrc=0, ntrap=16,
    traps=0x2e45570) at Render.c:1748
#1  0x000000000042c84d in ProcRenderTrapezoids (client=0x2d00d40) at X/NXrender.c:1097
#2  0x000000000042f983 in ProcRenderDispatch (client=0x2d00d40) at X/NXrender.c:2467
#3  0x0000000000421e97 in Dispatch () at X/NXdispatch.c:743
#4  0x000000000045d356 in main ()
(gdb) p *pSrc
$1 = {pDrawable = 0x0, pFormat = 0x0, format = 15329511, refcnt = 1, id = 62914568, pNext = 0x0, repeat = 0, graphicsExposures = 0,
  subWindowMode = 0, polyEdge = 0, polyMode = 0, freeCompClip = 0, clientClipType = 0, componentAlpha = 0, repeatType = 0, unused = 7485,
  alphaMap = 0x0, alphaOrigin = {x = 0, y = 0}, clipOrigin = {x = 0, y = 0}, clientClip = 0x0, dither = 0, stateChanges = 8191,
  serialNumber = 2147483648, pCompositeClip = 0xe9e8e700e9e8e7, devPrivates = 0xe9e8e700e9e8e7, transform = 0x0, filter = 0,
  filter_params = 0x0, filter_nparams = 0, pSourcePict = 0x2c904c0}
Comment 2 Bug Zapper 2010-11-03 10:40:48 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Akihiro Nomura 2010-11-03 11:32:19 EDT
This crash still occurs in Fedora 13 environment.
Comment 4 Ville Skyttä 2010-12-23 15:26:32 EST
Seems to happen still with nx 3.4.0-39 (soon in rawhide) as well.
Comment 5 Bug Zapper 2011-06-02 09:53:12 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Akihiro Nomura 2011-06-02 12:10:01 EDT
I tried Fedora 15 and found that this bug still exists.
I used following packages:
nx-3.4.0-41.fc15.x86_64
xorg-x11-apps-7.6-2.fc15.x86_64
Comment 7 Ville Skyttä 2011-06-27 16:06:32 EDT
Reproduced also with nx-3.5.0-2 from rawhide rebuilt for F-14.

Program received signal SIGSEGV, Segmentation fault.
0x00000000004b393e in nxagentTrapezoids (op=3 '\003', pSrc=0x555c7e0, pDst=0x39670b0, maskFormat=<value optimized out>, xSrc=0, ySrc=0, ntrap=16, traps=0x462a390) at Render.c:1752
1752	  if (nxagentDrawableStatus(pSrc -> pDrawable) == NotSynchronized)
(gdb) bt full
#0  0x00000000004b393e in nxagentTrapezoids (op=3 '\003', pSrc=0x555c7e0, pDst=0x39670b0, maskFormat=<value optimized out>, xSrc=0, ySrc=0, ntrap=16, traps=0x462a390)
    at Render.c:1752
        pForm = 0xa9c9a8
        current = 0x462a390
        pDstRegion = <value optimized out>
        remaining = 16
#1  0x000000000044c3e1 in ProcRenderTrapezoids (client=0x462d3c0) at X/NXrender.c:1123
        ntraps = 16
        pSrc = 0x555c7e0
        pDst = 0x39670b0
        pFormat = 0x2c443c0
        stuff = 0x462a378
#2  0x0000000000447c1b in ProcRenderDispatch (client=<value optimized out>) at X/NXrender.c:2519
        result = 11305504
        stuff = <value optimized out>
#3  0x0000000000447746 in Dispatch () at X/NXdispatch.c:747
        clientReady = 0x7fff4fefa860
        result = <value optimized out>
        client = 0x462d3c0
        nready = -1
        icheck = 0xabd440
        start_tick = 220
        currentDispatch = <value optimized out>
#4  0x000000000046d014 in main (argc=10, argv=0x7fff4fefaf48, envp=<value optimized out>) at main.c:450
        i = <value optimized out>
        j = 2
        k = 2
        error = 0
        xauthfile = <value optimized out>
        alwaysCheckForInput = {0, 1}
Comment 8 Ville Skyttä 2011-12-30 14:43:19 EST
Happens also on F-16 with the NoMachine provided rpms:

nxnode-3.5.0-7.x86_64
nxclient-3.5.0-7.x86_64
nxserver-3.5.0-9.x86_64

I've submitted a bug report upstream.
Comment 9 Fedora Update System 2012-05-28 17:48:47 EDT
nx-3.5.0-11.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/nx-3.5.0-11.fc17
Comment 10 Fedora Update System 2012-05-29 12:22:49 EDT
Package nx-3.5.0-11.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nx-3.5.0-11.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8579/nx-3.5.0-11.fc17
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2012-06-07 19:02:37 EDT
nx-3.5.0-11.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.